Appearance
Find productUpdate by ID
ProductUpdates
To fetch a trashed productUpdate a valid moderatorId value is required.
GET
/productUpdates/{id}
Parameters
Path Parameters
id*
ID of the productUpdate to fetch
Type
Requiredstring
Query Parameters
moderatorId
ID of the moderator fetching the productUpdate
Type
string
resolveEmbeds
When set to true, resolves oembed URLs in the content and replaces them with embed HTML
Type
boolean
Default
falseResponses
Successful response
application/json
JSON "result": { "id": "string", "publicId": "string", "title": "string", "featuredImage": "string", "featuredImageAltText": "string", "publicLabel": "string", "body": "string", "author": { "id": "7", "username": "john-doe", "customTitle": "awesome_user", "signature": "awesome_user", "avatar": "http://example.com/avatar123.jpg", "reputation": { "rank": "senior_replier", "rankIcon": "http://example.com/rank-icon.jpg", "rankIconThumbnail": "http://example.com/rank-icon-thumbnail.jpg", "likesReceived": 0, "repliesMade": 0 } }, "createdAt": "string", "replyCount": 0, "spamReplyCount": 0, "pendingReplyCount": 0, "trashedReplyCount": 0, "totalReplyCount": 0, "inclusiveReplyCount": 0, "inclusiveVisibleReplyCount": 0, "tags": [ "string" ], "productAreas": [ { "id": "string", "name": "string" } ], "moderatorTags": [ "string" ], "likedBy": [ "string" ], "sticky": true, "closed": true, "trashed": true, "containsPoll": true, "lastEdit": { "id": "string", "editor": [ "string" ], "editedAt": true }, "status": "string", "scheduledBy": { "id": "string", "username": "string", "avatar": "string" }, "seoCommunityUrl": "string" }
{
}

